Subject: Re: [PATCH (net-next.git) 01/18] stmmac: share reset function between dwmac100 and dwmac1000

From: Giuseppe CAVALLARO <[email-masked]>
Date: Mon, 1 Feb 2016 16:54:54 +0100

On 1/5/2016 7:45 PM, David Miller wrote:
> From: Giuseppe CAVALLARO <[email-masked]>
> Date: Tue, 5 Jan 2016 10:03:28 +0100
>
>> On 1/5/2016 4:25 AM, David Miller wrote:
>>> From: Giuseppe Cavallaro <[email-masked]>
>>> Date: Mon, 4 Jan 2016 14:06:46 +0100
>>>
>>>> @@ -376,7 +376,8 @@ extern const struct stmmac_desc_ops ndesc_ops;
>>>>    /* Specific DMA helpers */
>>>>    struct stmmac_dma_ops {
>>>>    	/* DMA core initialization */
>>>> -	int (*init) (void __iomem *ioaddr, int pbl, int fb, int mb,
>>>> +	int (*reset)(void __iomem *ioaddr);
>>>> +	void (*init)(void __iomem *ioaddr, int pbl, int fb, int mb,
>>>>    		     int burst_len, u32 dma_tx, u32 dma_rx, int atds);
>>>
>>> Since you change the return type of the 'init' method, and this
>>> changes the column of the openning parenthesis, you have to fix the
>>> indentation of the argument list on the next line.
>>>
>>
>> hmm, lines are well aligned.
>>
>> I will check again, in case of I introduced some indentation problem.
>
> Either it was wrong to begin with (I checked before I replied to this posting
> and didn't see a misalignment) or it is wrong after the change since void is
> one more column more than int.

i think that the problem is that, initially there was the int with a
space after the bracket that I removed after changing the API to use
the void and to satisfy checkpatch rule.
In any case, as final result, on both the alignment is respected.
I will send v3 asap so welcome any advice in case you see some
rework on this patch.

peppe